Subject: [quicwg/base-drafts] 5e06b3: Make language in ECN validation clearer

From: Martin Thomson <[email-masked]>
Date: Tue, 23 Jun 2020 15:37:09 -0700

Branch: refs/heads/master
  Home:   https://github.com/quicwg/base-drafts
  Commit: 5e06b318a75fdb6bb936bd63ec84ec70e70f6a6a
      https://github.com/quicwg/base-drafts/commit/5e06b318a75fdb6bb936bd63ec84ec70e70f6a6a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-06-18 (Thu, 18 Jun 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Make language in ECN validation clearer

This avoids "no smaller than" and other such ambiguities.

However, in doing this, I realized that I might interpret the original
language as allowing a network to ADD markings.  That seems wrong.  But
it's a non-editorial change.  This version has that change.  I'll make
another PR with the hole left in place.

Closes #3733.

  Commit: 0cc27c7fc32445326bd0ea7b3a3d7529c585fdcc
      https://github.com/quicwg/base-drafts/commit/0cc27c7fc32445326bd0ea7b3a3d7529c585fdcc
  Author: Martin Thomson <[email-masked]>
  Date:   2020-06-18 (Thu, 18 Jun 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove normative change

  Commit: 2c168299e72a17ca9aff36c529f49fb9710c7bcb
      https://github.com/quicwg/base-drafts/commit/2c168299e72a17ca9aff36c529f49fb9710c7bcb
  Author: Martin Thomson <[email-masked]>
  Date:   2020-06-18 (Thu, 18 Jun 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Don't use MUST for ECN validation

It is not an interoperability problem if the ECN counts don't match up,
it's just that ECN can't be used.  Avoid using normative language for
this, which implies non-compliance by a peer: the non-compliance is
likely somewhere in the network.

  Commit: 49507b4c9e38c201919a7241d70cc45b2f962fe0
      https://github.com/quicwg/base-drafts/commit/49507b4c9e38c201919a7241d70cc45b2f962fe0
  Author: Martin Thomson <[email-masked]>
  Date:   2020-06-18 (Thu, 18 Jun 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Rework ECN validation rules

This attempts to create rules that won't break down unnecessarily.  It's
a little overwrought though, so I'm OK if we go with something less than
this.  The new check number 3 could be removed if we were comfortable
with the simplified check number 2 and the addition of the check for
unused markings.

Closes #3778.

  Commit: b760aa929a353f76cddf6e0fc0ff6c417d66d703
      https://github.com/quicwg/base-drafts/commit/b760aa929a353f76cddf6e0fc0ff6c417d66d703
  Author: Martin Thomson <[email-masked]>
  Date:   2020-06-19 (Fri, 19 Jun 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove the complicated check, simplify

  Commit: 7ed70077c8006566c7acd27bbc06fe131140580e
      https://github.com/quicwg/base-drafts/commit/7ed70077c8006566c7acd27bbc06fe131140580e
  Author: Martin Thomson <[email-masked]>
  Date:   2020-06-19 (Fri, 19 Jun 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Tweak language more

  Commit: 56370b0f6111a90f61a6800bafea05515bf65f45
      https://github.com/quicwg/base-drafts/commit/56370b0f6111a90f61a6800bafea05515bf65f45
  Author: Martin Thomson <[email-masked]>
  Date:   2020-06-19 (Fri, 19 Jun 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Small improvements

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 911dbe41ac275d8c3f188fe07e768ee57b1069d9
      https://github.com/quicwg/base-drafts/commit/911dbe41ac275d8c3f188fe07e768ee57b1069d9
  Author: Martin Thomson <[email-masked]>
  Date:   2020-06-19 (Fri, 19 Jun 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Similarly

  Commit: b3efc66dfc41fee56bf0663ad766f83fe80df4eb
      https://github.com/quicwg/base-drafts/commit/b3efc66dfc41fee56bf0663ad766f83fe80df4eb
  Author: Martin Thomson <[email-masked]>
  Date:   2020-06-24 (Wed, 24 Jun 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  it performs...

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 1ff527443978e80156eb43baf15693b54c98fff8
      https://github.com/quicwg/base-drafts/commit/1ff527443978e80156eb43baf15693b54c98fff8
  Author: Martin Thomson <[email-masked]>
  Date:   2020-06-24 (Wed, 24 Jun 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3777 from quicwg/clearer-ecn-validation

Make language in ECN validation clearer

Compare: https://github.com/quicwg/base-drafts/compare/6568cd265e4f...1ff527443978